Skip to main content
GET
List audit events

Authorizations

X-API-Key
string
header
required

Path Parameters

organization_id
string<shortuuid>
required

UUID of the organization whose audit log to read.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$

Query Parameters

request_id
string
default:""

Only events recorded during this request.

Maximum string length: 100
Pattern: ^[^\x00]{0,100}$
action_name
string
default:""

Only events whose action name contains this text.

Maximum string length: 255
Pattern: ^[^\x00]{0,255}$
status
enum<string>

Only events with this outcome.

Available options:
SUCCESS,
FAILURE
start
string<date-time>

Only events at or after this time.

end
string<date-time>

Only events before this time.

page
integer
default:1

Page number (1-indexed).

Required range: 1 <= x <= 10000000
page_size
integer
default:25

Number of items per page (max 100).

Required range: 1 <= x <= 100

Response

OK

data
AuditEventOut · object[]
required

Items on the current page, each conforming to the endpoint's item schema. Empty when the result set is empty or page is past the end.

pagination
PaginationMeta · object
required

Pagination envelope describing position within the full result set.

Example: